PCA & TableOfReal: To TableOfReal (z-scores)...

A command to construct a TableOfReal with z-scores from the selected TableOfReal and PCA.

## Setting

Number of dimensions
  determines how many eigenvectors to use in the calculation of the z-scores and therefore the number of columns of the resulting TableOfReal.

## Algorithm

The values dij in the new TableOfReal are calculated as

dij = eigenvectorj· zi,

which is the inproduct of the j-th eigenvector and the z-score vector zi of the i-th row whose elements zij are defined as

zij = (xij - x̄j) / sqrt (eigenvaluej),

in which xij is the data value at row i and column j of the selected TableOfReal and x̄j is the j-th centroid value of the PCA. The square root of the j-th eigenvalue is the standard deviation in the j-th principal direction.